Linuxの素人です。
RedHatLinux7jをインストールして、PostgreSqlを実行したいと考えています。
(Apache+PostgreSql+PHP)
そこで、本を見ながらPostgreSqlのソースを展開した後に、
シェルで「make」を入力してみましたが、正しく実行してくれません。
メッセージは下記の様に表示されました。
[postgres@server1 src]$ make
You must use GNU make to use Postgres. It may be installed
on your system with the name 'gmake'.

NOTE: If you are sure that you are using GNU make and you are
still getting this message, you may simply need to run
the configure program.
[postgres@server1 src]$ gmake
「gmake」を入力しても、同じメッセージが表示されます。
コンパイルを可能にするにはどうしたらよいでしょうか?

宜しくお願いします。

このQ&Aに関連する最新のQ&A

A 回答 (2件)

表示されたメッセージに、「gmakeを使ってもうまくいかなければ、configureを実行してくれ」と書いてありますが、すでにco

nfigureは実行済みですか?
    • good
    • 0
この回答へのお礼

有難うございます。
configureは実行していると思っていました。
でも、エラーが出ていたのを見落としていたみたいです。
環境を整えて再度チャレンジしてみます。

お礼日時:2001/02/07 17:09

userの環境がちゃんとなっていないんじゃないでしょうか?



このメッセージはよく/bin/sh以外のシェル環境で実行すると出ますよ。
自分のルートの環境変数をよく見てみてください。
    • good
    • 0
この回答へのお礼

有難うございます。
少し先に進めそうです。
素人なので、又分からなくなると思います。
その時は、宜しくお願いします。

お礼日時:2001/02/07 17:14

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング

おすすめ情報